FishOutFishOut

Read generated report snapshots

GET/orgs/{organizationId}/projects/{projectId}/reports/{reportId}/results

Read generated report snapshots within the selected project. Uses the app's permissions and entitlements.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
reportId*string
Length1 <= length <= 200

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string
Length1 <= length <= 2048

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/projects/string/reports/string/results"
{  "data": [    {      "id": "string",      "projectId": "string",      "reportId": "string",      "workRequestId": "string",      "snapshot": {        "projectId": "string",        "rangeDays": 0,        "totalMentions": 0,        "repliedCount": 0,        "archivedCount": 0,        "relevantCount": 0,        "filteredCount": 0,        "pendingCount": 0,        "medianRelevance": 0,        "volumeByDay": [          {            "id": "string",            "label": "string",            "points": [              {                "label": "string",                "value": 0,                "property1": "string",                "property2": "string"              }            ],            "property1": "string",            "property2": "string"          }        ],        "volumeByPlatform": [          {            "label": "string",            "value": 0,            "property1": "string",            "property2": "string"          }        ],        "relevanceByReason": [          {            "label": "string",            "value": 0,            "property1": "string",            "property2": "string"          }        ],        "replyCallMix": [          {            "label": "string",            "value": 0,            "property1": "string",            "property2": "string"          }        ],        "labelMix": [          {            "label": "string",            "value": 0,            "property1": "string",            "property2": "string"          }        ],        "topKeywords": [          {            "label": "string",            "value": 0,            "property1": "string",            "property2": "string"          }        ],        "property1": "string",        "property2": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "property1": "string",      "property2": "string"    }  ],  "meta": {    "requestId": "string",    "replayed": true,    "nextCursor": "string"  }}